/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package daial;

import interfaz.jfrmArqInicial;
import interfaz.jfrmPrincipal;
import java.util.ArrayList;

/**
 *
 * @author Alberto
 */
public class Main {

    private static void carga_datos(Sucursal suc){
        ArrayList<Producto> AP=new ArrayList<Producto>();
        Producto p1=new CtaCorriente();
        p1.setNumeroProducto("20984002161000015263");
        p1.setNombreCliente("Julian Martinez Morillas");
        p1.setSaldo(1300);
        AP.add(p1);
        Producto p2=new CtaCorriente();
        p2.setNumeroProducto("20984002181000015264");
        p2.setNombreCliente("Javier Alvarez Cejudo");
        p2.setSaldo(1450);
        AP.add(p2);
        Producto p3=new CtaCorriente();
        p3.setNumeroProducto("20984002141000015265");
        p3.setNombreCliente("Martin Rivas Nistal");
        p3.setSaldo(1210.34);
        AP.add(p3);
        Producto p4=new CtaCorriente();
        p4.setNumeroProducto("20984002131000015266");
        p4.setNombreCliente("Alicia Rivas Cano");
        p4.setSaldo(555.34);
        AP.add(p4);
        Producto p5=new CtaCorriente();
        p5.setNumeroProducto("20984002151000015267");
        p5.setNombreCliente("Julia Morente Castro");
        p5.setSaldo(2120.66);
        AP.add(p5);
        Producto p6=new CtaCorriente();
        p6.setNumeroProducto("20984002181000015268");
        p6.setNombreCliente("Antonio Recio Odon");
        p6.setSaldo(999);
        AP.add(p6);
        Producto p7=new CtaCorriente();
        p7.setNumeroProducto("20984002191000015269");
        p7.setNombreCliente("Luisa Fernandez Ruiz");
        p7.setSaldo(121);
        AP.add(p7);
        Producto p8=new CtaCorriente();
        p8.setNumeroProducto("20984002141000015270");
        p8.setNombreCliente("Antonio Martin Ares");
        p8.setSaldo(100.23);
        AP.add(p8);
        Producto p9=new CtaCorriente();
        p9.setNumeroProducto("20984002151000015271");
        p9.setNombreCliente("Gabriel Mercado Condal");
        p9.setSaldo(2100.11);
        AP.add(p9);
        Producto p10=new CtaCorriente();
        p10.setNumeroProducto("20984002181000015272");
        p10.setNombreCliente("Pedro Villar Torres");
        p10.setSaldo(110);
        AP.add(p10);
        Producto p11=new CtaCorriente();
        p11.setNumeroProducto("20984002171000015273");
        p11.setNombreCliente("Maria Castilla Ramos");
        p11.setSaldo(1555.34);
        AP.add(p11);
        Producto p12=new CtaCorriente();
        p12.setNumeroProducto("20984002131000015274");
        p12.setNombreCliente("Isabel Torres Ruiz");
        p12.setSaldo(3200);
        AP.add(p12);
        Producto p13=new CtaCorriente();
        p13.setNumeroProducto("20984002181000015275");
        p13.setNombreCliente("Ana Castro Cano");
        p13.setSaldo(1010.32);
        AP.add(p13);
        Producto p14=new CtaCorriente();
        p14.setNumeroProducto("20984002171000015276");
        p14.setNombreCliente("Luis Canseco Roldan");
        p14.setSaldo(215.88);
        AP.add(p14);
        Producto p15=new CtaCorriente();
        p15.setNumeroProducto("20984002181000015277");
        p15.setNombreCliente("Olivia Martinez Fernandez");
        p15.setSaldo(1770);
        AP.add(p15);
        Producto p152=new CtaCorriente();
        p152.setNumeroProducto("20984002181000015278");
        p152.setNombreCliente("Olivia Martinez Fernandez");
        p152.setSaldo(570);
        AP.add(p152);
        Producto p16=new CtaCorriente();
        p16.setNumeroProducto("20981001242000024145");
        p16.setNombreCliente("Universidad de Huelva");
        p16.setSaldo(12770);
        AP.add(p16);
        Producto p17=new CtaCorriente();
        p17.setNumeroProducto("20981003821540005128");
        p17.setNombreCliente("TELEFONICA DE ESPANA, S.A.U.");
        p17.setSaldo(21770);
        AP.add(p17);
        Producto p18=new CtaCorriente();
        p18.setNumeroProducto("20980002210007125226");
        p18.setNombreCliente("Telefónica Moviles");
        p18.setSaldo(20347.02);
        AP.add(p18);
        Producto p19=new CtaCorriente();
        p19.setNumeroProducto("20980002260000564814");
        p19.setNombreCliente("Canal Satelite Digital, SL");
        p19.setSaldo(19037.22);
        AP.add(p19);
        Producto p20=new CtaCorriente();
        p20.setNumeroProducto("20980003410000425188");
        p20.setNombreCliente("ENDESA ENERGIA XXI, S.L.");
        p20.setSaldo(23231.45);
        AP.add(p20);
        Producto p21=new CtaCorriente();
        p21.setNumeroProducto("20980005620000954125");
        p21.setNombreCliente("El Corte Inglés");
        p21.setSaldo(32282.78);
        AP.add(p21);

        suc.setProducto(AP);

        Empleado e1= new Empleado("Jose Fernandez Parra","josefe","parra");
        suc.insertarEmpleado(e1);
        Empleado e2= new Empleado("Manuel Gomez Perez","manu","gope");
        suc.insertarEmpleado(e2);
        Empleado e3= new Empleado("Francisco Montenegro Gutierrez","guti","errez");
        suc.insertarEmpleado(e3);


        Caja c1 = new Caja("Caja1");
        suc.insertarCaja(c1);
        Caja c2 = new Caja("Caja2");
        suc.insertarCaja(c2);
        Caja c3 = new Caja("Caja3");
        suc.insertarCaja(c3);
        Caja c4 = new Caja("Caja Central");
        c4.setSaldo(1000000);
        suc.insertarCaja(c4);

    }

    public static void main(String args[]) {
        Sucursal suc=new Sucursal();
        carga_datos(suc);
        new jfrmArqInicial(suc).setVisible(true);
        //new jfrmPrincipal(suc).setVisible(true);
    }
   /* public static void main(){
        Sucursal suc=new Sucursal();
        carga_datos(suc);
        new jfrmRemesaCargos(suc).setVisible(true);
    }*/
}
